#
# spec file for package ocaml-pcre
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Andrew Psaltis <ampsaltis at gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocaml-pcre
Version:        7.2.3
Release:        lp151.2.4
%{?ocaml_preserve_bytecode}
Summary:        Perl compatibility regular expressions (PCRE) for OCaml
License:        LGPL-2.0
Group:          Development/Languages/OCaml

Url:            http://mmottl.github.io/pcre-ocaml/
# https://github.com/mmottl/pcre-ocaml/releases/download/v%{version}/pcre-ocaml-%{version}.tar.gz
Source0:        pcre-ocaml-%{version}.tar.xz
Patch0:         ocaml-pcre-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gawk
BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-oasis
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros >= 4.03
BuildRequires:  pkg-config
BuildRequires:  ocamlfind(bytes)
BuildRequires:  pkgconfig(libpcre)

%description
Perl compatibile regular expressions (PCRE) for OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Languages/OCaml
Requires:       %{name} = %{version}
Requires:       pcre-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pcre-ocaml-%{version}
%patch0 -p1

%build
sed -i~ "
s@\(.*\)\(CCOpt:\)\(.*\)\$@\1\2 %{optflags} -fPIC `pkg-config --cflags libpcre`@
s@\(.*\)\(CCLib:\)\(.*\)\$@\1\2 `pkg-config --libs libpcre`@
" _oasis
if diff -u _oasis~ _oasis
then
  exit 1
fi
%oasis_setup
%ocaml_oasis_configure --enable-docs
%ocaml_oasis_build
%ocaml_oasis_doc

%install
%ocaml_oasis_findlib_install
#
mkdir -vp %{buildroot}/etc/ld.so.conf.d/
tee %{buildroot}/etc/ld.so.conf.d/%{name}.conf <<_EOF_
%{_libdir}/ocaml/pcre
_EOF_
#

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.md
/etc/ld.so.conf.d/*.conf
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if 0%{?ocaml_native_compiler}
%{_libdir}/ocaml/*/*.cmxs
%endif
%{_libdir}/ocaml/*/*.so

%files devel
%defattr(-,root,root,-)
%{oasis_docdir_html}
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%{_libdir}/ocaml/*/*.a
%if 0%{?ocaml_native_compiler}
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxa
%endif
%{_libdir}/ocaml/*/*.annot
%{_libdir}/ocaml/*/*.cma
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.cmt
%{_libdir}/ocaml/*/*.cmti
%{_libdir}/ocaml/*/*.mli
%{_libdir}/ocaml/*/META

%changelog
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Mon May 23 2016 ohering@suse.de
- Update to version 7.2.3
* Tue Nov 10 2015 ohering@suse.de
- Update to version 7.1.6
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Mon Feb 16 2015 ohering@suse.de
- Update to version 7.1.5
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Wed Jan 16 2013 ohering@suse.de
- disable also /usr/lib/rpm/find-debuginfo.sh
* Mon Jan 14 2013 ohering@suse.de
- disable strip, it destroys bytecode binaries
* Mon Jan 14 2013 ohering@suse.de
- change Requires: version-release to just Requires: version
* Mon Sep 17 2012 ohering@suse.de
- Update to version 7.0.2
  Added --with-pcre-config flag to configure location of PCRE configuration generator.
  Upgraded to OCaml 4.00
  Switched to Oasis for packaging
  Switched to OCamlBuild for the build process
  Rewrote README in Markdown
  Added stricter compilation flags
  Minor bugfixes
  Fixed native code debug build target by updating OCamlMakefile.
  Fixed a Windows portability bug in the C-bindings.
  Updated OCamlMakefile to fix linking order.
* Tue Jul  5 2011 ampsaltis@gmail.com
- Add changes file
- New (sort of) upstream version 6.2.2
- Internal dep generation now based on SuSE version
